API reference
Team
People in a workspace and their roles.
GET/members
List members
Needs the permission members:read.
curl -X GET https://crm.anibrosdesign.com/api/v1/members \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 403 429
GET/members/directory
Get directory (members)
Needs the permission members:directory.
curl -X GET https://crm.anibrosdesign.com/api/v1/members/directory \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 403 429
POST/members/invitations
Invitations (members)
Needs the permission members:invite.
| Parameter | In | Type | Notes |
|---|---|---|---|
Idempotency-Key | header | string | Any unique string up to 128 characters. Repeating the request with the same key returns the first response. up to 128 characters |
| Body field | Type | Notes |
|---|---|---|
email required | string (email) | up to 254 characters |
role required | one of tenant_owner, tenant_admin, sales_manager, sales_agent, broker, marketing_manager, marketing_analyst, executive_readonly, auditor |
curl -X POST https://crm.anibrosdesign.com/api/v1/members/invitations \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"email":"name@example.com","role":"tenant_owner"}'Responses:
201 400 401 402 403 429
DELETE/members/invitations/{id}
Remove invitations (member)
Needs the permission members:invite.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X DELETE https://crm.anibrosdesign.com/api/v1/members/invitations/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
204 400 401 402 403 404 429
PATCH/members/{id}
Change a member
Needs the permission members:update.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
| Body field | Type | Notes |
|---|---|---|
role | one of tenant_owner, tenant_admin, sales_manager, sales_agent, broker, marketing_manager, marketing_analyst, executive_readonly, auditor | |
status | one of active, suspended |
curl -X PATCH https://crm.anibrosdesign.com/api/v1/members/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"role":"tenant_owner","status":"active"}'Responses:
200 400 401 402 403 404 412 429
DELETE/members/{id}
Delete a member
Needs the permission members:remove.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X DELETE https://crm.anibrosdesign.com/api/v1/members/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
204 400 401 402 403 404 429
Something missing or unclear? Tell us.